#include <iostream>
#include <GL/glut.h>

#define MAX 200000

using namespace std;

GLdouble vertex[MAX][4][3];

int edge[][2] = {
  {0, 1},
  {0, 2},
  {0, 3},
  {1, 2},
  {1, 3},
  {2, 3}
};

void display(void)
{
  int i, j;
  int neighbor_num;
  FILE *fp;

  if((fp = fopen("neighbor.dat", "r")) == NULL){
    printf("can't find file -> [neighbor.dat] ...\n");
    exit(EXIT_FAILURE);
  }

  fscanf(fp, "%d", &neighbor_num);
  for(i=0;i<neighbor_num;i++){
    for(j=0;j<4;j++){
      fscanf(fp, "%lf %lf %lf", &vertex[i][j][0], &vertex[i][j][1], &vertex[i][j][2]);
    }
  }
  fclose(fp);

  printf("exist %d tetrahedron, %d vertex\n", neighbor_num, i);
  for(i=0;i<4;i++){
    printf("%f   %f   %f   \n", vertex[0][i][0], vertex[0][i][1], vertex[0][i][2]);
  }



  glClear(GL_COLOR_BUFFER_BIT);
  glColor3d(1.0, 0.0, 0.0);
  glBegin(GL_LINES);
  for(i=0;i<neighbor_num;i++){
  //for(i=0;i<1;i++){
    for(j=0;j<6;j++){
      glVertex3dv(vertex[i][edge[j][0]]);
      glVertex3dv(vertex[i][edge[j][1]]);
    }
  }
  glEnd();
  glFlush();                         //glFlush() ͂܂sĂȂ OpenGL ̖߂Ss܂. 
}

void resize(int w, int h)
{
  glViewport(0, 0, w, h);

  glLoadIdentity();
  gluPerspective(100.0, (double)w / (double)h, -270.0, 270.0);
  //glTranslated(0.0,0.0,-5.0);
  gluLookAt(1800.0, 1800.0, 1000.0, 240.0, 180.0, 0.0, 0.0, 0.0, 1.0);
}

void init(void)
{
  glClearColor(1.0, 1.0, 1.0, 1.0);  //EBhEhԂ܂.  ԁA΁AAx
}

int main(int argc, char *argv[])
{
  glutInit(&argc, argv);             //GLUT  OpenGL ܂.
  glutInitDisplayMode(GLUT_RGBA);    //fBXvC̕\[hݒ肵܂.
  glutCreateWindow(argv[0]);         //EBhEJ܂. 
  glutDisplayFunc(display);          //JEBhEɕ`悷֐ւ̃|C^ł.
  glutReshapeFunc(resize);
  init();
  glutMainLoop();                    //͖[vł. vO̓Cxg̑҂󂯏ԂɂȂ܂. 
  return(0);
}





